Skip to main content
POST
Create Tool

Authorizations

X-API-Key
string
header
required

Your organization's API key (account in the bottom-left of the dashboard → Brosbots API).

Headers

authorization
string | null
X-API-Key
string | null

Body

application/json

Request schema for creating a tool.

name
string
required
Maximum string length: 255
definition
HttpApiToolDefinition · object
required

Tool definition for HTTP API tools.

description
string | null
category
string
default:http_api
icon
string | null
default:globe
Maximum string length: 50
icon_color
string | null
default:#3B82F6
Maximum string length: 7

Response

Successful Response

Response schema for a tool.

id
integer
required
tool_uuid
string
required
name
string
required
description
string | null
required
category
string
required
icon
string | null
required
icon_color
string | null
required
status
string
required
definition
object
required
created_at
string<date-time>
required
updated_at
string<date-time> | null
required
created_by
CreatedByResponse · object | null

Response schema for the user who created a tool.